Package com.io7m.idstore.shell.admin.internal.formatting

# Class IdAFormatterPretty

java.lang.Object
com.io7m.idstore.shell.admin.internal.formatting.IdAFormatterPretty

All Implemented Interfaces:
  `IdAFormatterType`

public final class IdAFormatterPretty extends Object implements IdAFormatterType
A pretty formatter.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdAFormatterPretty(org.jline.terminal.Terminal inTerminal)`
  A pretty formatter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `formatAdmin(IdAdmin admin)`
  Format an admin.
  `void`
  `formatAdmins(IdPage<IdAdminSummary> page)`
  Format a page of admins.
  `void`
  `formatAudits(IdPage<IdAuditEvent> page)`
  Format a page of audit events.
  `void`
  `formatLoginHistory(List<IdLogin> history)`
  Format a history.
  `void`
  `formatUser(IdUser user)`
  Format a user.
  `void`
  `formatUsers(IdPage<IdUserSummary> page)`
  Format a page of users.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdAFormatterPretty

    public IdAFormatterPretty(org.jline.terminal.Terminal inTerminal)
    A pretty formatter.
    Parameters:
      `inTerminal` - The terminal

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### formatAdmin

    public void formatAdmin(IdAdmin admin) throws Exception
    Description copied from interface: `IdAFormatterType`
    Format an admin.
    Specified by:
      `formatAdmin` in interface `IdAFormatterType`
    Parameters:
      `admin` - The admin
    Throws:
      `Exception` - On errors

  - ### formatAdmins

    public void formatAdmins(IdPage<IdAdminSummary> page) throws Exception
    Description copied from interface: `IdAFormatterType`
    Format a page of admins.
    Specified by:
      `formatAdmins` in interface `IdAFormatterType`
    Parameters:
      `page` - The page
    Throws:
      `Exception` - On errors

  - ### formatAudits

    public void formatAudits(IdPage<IdAuditEvent> page) throws Exception
    Description copied from interface: `IdAFormatterType`
    Format a page of audit events.
    Specified by:
      `formatAudits` in interface `IdAFormatterType`
    Parameters:
      `page` - The page
    Throws:
      `Exception` - On errors

  - ### formatUsers

    public void formatUsers(IdPage<IdUserSummary> page) throws Exception
    Description copied from interface: `IdAFormatterType`
    Format a page of users.
    Specified by:
      `formatUsers` in interface `IdAFormatterType`
    Parameters:
      `page` - The page
    Throws:
      `Exception` - On errors

  - ### formatLoginHistory

    public void formatLoginHistory(List<IdLogin> history) throws Exception
    Description copied from interface: `IdAFormatterType`
    Format a history.
    Specified by:
      `formatLoginHistory` in interface `IdAFormatterType`
    Parameters:
      `history` - The history
    Throws:
      `Exception` - On errors

  - ### formatUser

    public void formatUser(IdUser user) throws Exception
    Description copied from interface: `IdAFormatterType`
    Format a user.
    Specified by:
      `formatUser` in interface `IdAFormatterType`
    Parameters:
      `user` - The user
    Throws:
      `Exception` - On errors